<?php
session_start();
include('config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

include($rutaPhp.$rutaHtml.'/acceso/control.php');
include($rutaPhp.$rutaHtml.'/maqueta/arriba.php');

include($rutaPhp.$rutaHtml.'/librerias/teclado.php');

if( ($_SESSION['gestion']=='PUB' || $_SESSION['gestion']=='PUBPRI') && $_SESSION['gestionIdPaletCliente'] ) $mostrarIdsPaletCliente=true;
if($_SESSION['seleccionTipoPaletEntrada']) $mostrarComboTipoPalet=true;

$peticion='SGAUbicacionesComunicacion#'.$_SESSION['empresa'].'#'.$_SESSION['almacen'];
$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);

if($_GET['traza']=='si') {
	echo "<p>".$peticion."</p>";
	print_r($resultado);
}

$ubicaciones=$resultado;

if($_POST['botonReubicar']) {

	//SGATraspasoContUbicar#EMP#Usu#Alm#Pal1#Pal2#Ubi2#TipoPal#IdCliPal
	
	$peticion='SGATraspasoContUbicar#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#'.$_SESSION['almacen'].'#'.$_POST['contenedorOrigen'].'#'.$_POST['contenedorDestino'].'#'.$_POST['ubicacion'].'#'.$_POST['tipoPaletDestino'].'#'.$_POST['idPaletClienteDestino'];
	$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);
	
	$valores=explode('#',$resultado[0]['Resultado']);
	if($valores[0]=='1') {
		?><script>alert('Traspaso y ubicación realizados correctamente.<br><br>Palet <strong><?php echo $_POST['contenedorDestino']; ?></strong> en Ubicación <strong><?php echo $_POST['ubicacion']; ?></strong>',null,'ok');</script><?php
	}
	else {
		?><script>alert('Error: <?php echo $valores[1]; ?>',null,'error');</script><?php
	}
	
	if($_GET['traza']=='si') {
		echo "<p>".$peticion."</p>";
		print_r($resultado);
	}

}
?>

<h2>Traspaso a Ubicación robotizada</h2>



<form id="formularioTraspasoUbicacionRobotizada" name="formularioTraspasoUbicacionRobotizada" method="post" action="">

<p>Ubicación robotizada:<br />
<select name="ubicacion" id="ubicacion" class="campo">
	<?php if(count($ubicaciones )>1) { ?><option value="" selected>---</option><?php } ?>
	<?php foreach($ubicaciones as $ubicacion) { ?>
    <option value="<?php echo $ubicacion['Ubicacion']; ?>"><?php echo $ubicacion['Ubicacion']; ?><?php if($ubicacion['SistemaComunicacion']) { ?> (<?php echo $ubicacion['SistemaComunicacion']; ?>)<?php } ?></option>
    <?php } ?>
</select>
</p>

<table border="0" cellspacing="0" cellpadding="5" style="margin:40px auto">
  <tr>
    <td colspan="2">
    
    	<table border="0" cellspacing="0" cellpadding="0" style="margin:0 auto">
        <tr>
        <td style="width:550px">
        <p class="sinMargen">Palet origen:<br />
          <img src="<?php echo DIR_IMAGENES; ?>/teclado.png" alt="Mostrar teclado" class="iconoTeclado" id="tecladoContenedorOrigen" /><input name="contenedorOrigen" type="text" class="campo" id="contenedorOrigen" value="<?php echo $_POST['contenedorTraspasar']; ?>"  style="width:460px"/>
        <img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" class="boton-x" id="borrarContenedorOrigen"/></p>
        </td>
        <?php if($mostrarComboTipoPalet) { ?>
        	<td style="padding-top:25px">
            <select name="tipoPaletOrigen" id="tipoPaletOrigen" class="campo" disabled readonly style="background-color:#ebebe4">
            <option value="">---</option>
            <?php foreach(array_keys($_SESSION['tiposPalet']) as $codigoPalet) { ?>
            <option value="<?php echo $codigoPalet; ?>" <?php if($codigoPalet==$palet['TipoPalet']) { ?>selected<?php } ?> chep="<?php echo $_SESSION['tiposPalet'][$codigoPalet]['CHEP']; ?>"><?php echo $_SESSION['tiposPalet'][$codigoPalet]['Descripcion']; ?></option>
            <?php } ?>
            </select>
            </td>
            <td>
            <img id="imagenPaletOrigen" src="<?php echo DIR_IMAGENES; ?>/palet-vacio.png" width="50" height="36" style="padding:25px 0 0 15px"/>
            </td>
        <?php } ?>
        </tr> 
        </table>
        
   </td>
  </tr>
  <tr>
    <td><p class="sinMargen">Ubicación origen:<br /><input type="text" name="ubicacionOrigen" id="ubicacionOrigen" disabled="disabled" class="campo"  style="width:350px"/></p></td>
    <?php if($_SESSION['mostrarIdsPaletCliente']) { ?>
    <td><p class="sinMargen">Id Palet Cliente:<br /><input type="text" name="idPaletClienteOrigen" id="idPaletClienteOrigen" disabled="disabled" class="campo"  style="width:460px"/></p></td>
    <?php } ?>
  </tr>
</table>

<div id="formularioContenedorDestino" name="formularioContenedorDestino" style="display:none;margin-top:40px">

<table border="0" cellspacing="0" cellpadding="5" style="margin:0 auto">
  <tr>
    <td style="width:550px">
    	<p class="sinMargen">Palet destino:<br /><img src="<?php echo DIR_IMAGENES; ?>/teclado.png" alt="Mostrar teclado" class="iconoTeclado" id="tecladoContenedorDestino" /><input name="contenedorDestino" type="text" class="campo" id="contenedorDestino" style="width:460px"/>
        <img src="<?php echo DIR_IMAGENES; ?>/x.png" alt="Borrar" class="boton-x" id="borrarContenedorDestino"/></p>  
	</td>
	<?php if($mostrarComboTipoPalet) { ?>
	<td style="padding-top:25px">
            <select name="tipoPaletDestino" id="tipoPaletDestino" class="campo">
            <option value="">---</option>
            <?php foreach(array_keys($_SESSION['tiposPalet']) as $codigoPalet) { ?>
            <option value="<?php echo $codigoPalet; ?>" <?php if($codigoPalet==$palet['TipoPalet']) { ?>selected<?php } ?> chep="<?php echo $_SESSION['tiposPalet'][$codigoPalet]['CHEP']; ?>"><?php echo $_SESSION['tiposPalet'][$codigoPalet]['Descripcion']; ?></option>
            <?php } ?>
            </select>
	</td>
	<td>
		<img id="imagenPaletDestino" src="<?php echo DIR_IMAGENES; ?>/palet-vacio.png" width="50" height="36" style="padding:25px 0 0 15px"/>
	</td>
	<?php } ?>
  </tr>
  <tr>
    <?php if($_SESSION['mostrarIdsPaletCliente']) { ?>
    <td style="width:620px" colspan="3"><p class="sinMargen">Id Palet Cliente:<br /><input type="text" name="idPaletClienteDestino" id="idPaletClienteDestino" class="campo"  style="width:460px;background-color:#ebebe4" readonly  /></p></td>
    <?php } ?>
  </tr>
</table>

</div>

<p><input type="submit" name="botonReubicar" id="botonReubicar" value="Traspasar y Ubicar" class="boton mostrarCargando" style="margin-top:40px;display:none"/></p>

<input type="hidden" name="validacionDatos" id="validacionDatos" value="0"/>

</form>

<div id="listaProductosOrigen" style="margin-top:40px">
</div>

<script>

function cargaOrigen() {

		$('#popupCargando').show();
		
		$.post( "<?php echo $rutaHtml; ?>/contenidos/cargar-info-contenedor.php", { contenedor:$("#contenedorOrigen").val() })
			.done(function(data) {
				
				var info=data.split('#');
				
				if(info[0]=='error') {
					$('#popupCargando').hide();
					alert('Error: '+info[2],$('#contenedorDestino'),'error');
				}
				else {
				
					//var ubicacionReal=info[0];
					//13-11-2018 Cambiamos de sitio la ubicación, porque en algunos clientes, delante de la cadena devuelta mete un caracter extraño
					var ubicacionReal=info[4];
					var idPaletCliente=info[5];
					var tipoPaletOrigen=info[6];
					var ubicacionMostrar;
					
					if(info[2]!='') ubicacionMostrar=info[2]; else ubicacionMostrar=info[0];
					
					$('#ubicacionOrigen').val(ubicacionMostrar);
					$('#idPaletClienteOrigen').val(idPaletCliente);
					$('#tipoPaletOrigen').val(tipoPaletOrigen);
					
					var esChep=$('#tipoPaletOrigen option:selected').attr('chep');
					if(esChep=='S') $('#imagenPaletOrigen').attr('src','<?php echo DIR_IMAGENES; ?>/palet-vacio-chep.png');
					else $('#imagenPaletOrigen').attr('src','<?php echo DIR_IMAGENES; ?>/palet-vacio.png');
					
					//Traspasamos la tipificación al nuevo palet
					$('#idPaletClienteDestino').val(idPaletCliente);
					$('#tipoPaletDestino').val(tipoPaletOrigen);
					$('#imagenPaletDestino').attr('src', $('#imagenPaletOrigen').attr('src') );
					
					if( $('#contenedorDestino').val()!='' ) $('#botonReubicar').show();
					
					$.post( "<?php echo $rutaHtml; ?>/contenidos/cargar-productos-contenedor.php<?php if($_GET['traza']=='si') { ?>?traza=si<?php } ?>", { contenedor:$("#contenedorOrigen").val(), titulo:"Lista de productos en contenedor origen:" })
					.done(function(data) {
						$('#popupCargando').hide();
						$('#listaProductosOrigen').html(data);
					});
					
				}
					
			});

}

function cargaDestino() {

		$('#popupCargando').show();
		
		$.post( "<?php echo $rutaHtml; ?>/contenidos/cargar-info-contenedor.php", { contenedor:$("#contenedorDestino").val() })
			.done(function(data) {
				
				var info=data.split('#');
				
				if(info[0]=='error') {
					$('#popupCargando').hide();
					alert('Error: '+info[2],$('#contenedorDestino'),'error');
				}
				else {
				
					//var ubicacionReal=info[0];
					//13-11-2018 Cambiamos de sitio la ubicación, porque en algunos clientes, delante de la cadena devuelta mete un caracter extraño
					var ubicacionReal=info[4];
					var ubicacionMostrar;
					
					if(info[2]!='') ubicacionMostrar=info[2]; else ubicacionMostrar=info[0];
					
					$('#ubicacionDestino').val(ubicacionMostrar);
					
					$.post( "<?php echo $rutaHtml; ?>/contenidos/cargar-productos-contenedor.php<?php if($_GET['traza']=='si') { ?>?traza=si<?php } ?>", { contenedor:$("#contenedorDestino").val(), titulo:"Lista de productos en contenedor destino:" })
					.done(function(data) {
						$('#popupCargando').hide();
						$('#listaProductosDestino').html(data);

						$('#validacionDatos').val(1);
						$('#botonReubicar').show();

					});
					
				}
			});
}

$(document).ready(function() {

	$('#formularioTraspasoUbicacionRobotizada').on('submit',function(e){
		if( $('#validacionDatos').val()!=1 || $('#ubicacion').val()=='' ) {
			e.preventDefault();
			if( $('#validacionDatos').val()==1 && $('#ubicacion').val()=='' ) {
				$('#popupCargando').hide();
				alert('Por favor, indica la Ubicación de destino del palet.',$('#ubicacion'),'advertencia');
			}
		}
	});

	$('#contenedorOrigen').on("change",function(e){
		e.preventDefault();
		cargaOrigen();
	});
	
	$('#contenedorDestino').on("change",function(e){
		e.preventDefault();
		cargaDestino();
	});
	
	$('#borrarContenedorOrigen').on("click",function(){
		
		$("#contenedorOrigen").val('');
		$("#ubicacionOrigen").val('');
		
		$('#tipoPaletOrigen').val('');
		$('#tipoPaletDestino').val('');
		
		$('#idPaletClienteOrigen').val('');
		$('#idPaletClienteDestino').val('');
		
		$("#listaProductosOrigen").empty();
		
		$('#botonReubicar').hide();
		
		$("#contenedorOrigen").focus();
		
	});
	
	$('#borrarContenedorDestino').on("click",function(){
		
		$("#contenedorDestino").val('');
		
		$('#botonReubicar').hide();
		
		$("#contenedorDestino").focus();	
		
	});
	
	$('#tecladoContenedorOrigen').on("click",function(){
		
		$('#teclado').show();
		$('#valor').val( $('#contenedorOrigen').val() );
		$('#valorOculto').val( $('#contenedorOrigen').val() );
		$('#enter').attr('campoValor','contenedorOrigen');
		$('#enter').attr('forzarEnter','si');
		
	});
	
	$('#tecladoContenedorDestino').on("click",function(){
		
		$('#teclado').show();
		$('#valor').val( $('#contenedorDestino').val() );
		$('#valorOculto').val( $('#contenedorDestino').val() );
		$('#enter').attr('campoValor','contenedorDestino');
		$('#enter').attr('forzarEnter','si');
		
	});
	

	
	
	//Nuevos procedimientos despues de añadir ids de palet cliente y tipo de palet destino
	
	$('#tipoPaletDestino').on('change',function(){
	
		var esChep=$('#tipoPaletDestino option:selected').attr('chep');
		if(esChep=='S') $('#imagenPaletDestino').attr('src','<?php echo DIR_IMAGENES; ?>/palet-vacio-chep.png');
		else $('#imagenPaletDestino').attr('src','<?php echo DIR_IMAGENES; ?>/palet-vacio.png');
		
	});
	
	$("#contenedorOrigen").focus();

});

</script>

<?php
include($rutaPhp.$rutaHtml.'/maqueta/abajo.php');
?>
